Name:           onemind-commons-java
Version:        1.5.5
Release:        2
Summary:        A common library used to support other onemind libraries
License:        LGPLv2
Group:          Development/Tools
Url:            http://onemind-commons.sourceforge.net/commons-java/
Source0:        http://downloads.sourceforge.net/onemind-commons/commons-java-%{version}-src.tar.gz
# This was obtained on 2008/11/24 using the following commands:
#   cvs -d :pserver:anonymous@onemind-commons.cvs.sourceforge.net:/cvsroot/onemind-commons login
#   cvs -d :pserver:anonymous@onemind-commons.cvs.sourceforge.net:/cvsroot/onemind-commons co commons-java/docs
Source1:        %{name}-docs-20081124.tbz
# Compile against system jars instead of downloaded ones
Patch0:         %{name}-1.5.5-build_xml.patch
# Get rid of variable named "enum" (not sent upstream because upstream
# seems dormant)
Patch1:         %{name}-1.5.5-enum.patch

Requires:       java >= 0:1.4.2

BuildRequires:  ant
BuildRequires:  jpackage-utils >= 0:1.5
BuildRequires:  tomcat5-servlet-2.4-api
BuildRequires:  jakarta-commons-fileupload
BuildArch:      noarch
Requires(post): jpackage-utils
Requires(postun): jpackage-utils

BuildRoot:        %{_tmppath}/%{name}-%{version}-buildroot

%description
This is a common library used to support other onemind libraries.

%package javadoc
Summary:        Javadoc for %{name}
Group:          Documentation
%description javadoc
Documentation for the JPF library

%prep
%setup -q -n commons-java-%{version}
%setup -q -n commons-java-%{version} -T -D -a 1
%patch0 -p1
%patch1 -p1

%build
export CLASSPATH=`build-classpath servletapi5 commons-fileupload`
ant dist

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p ${RPM_BUILD_ROOT}%{_javadocdir}/
cp -r dist/docs/api ${RPM_BUILD_ROOT}%{_javadocdir}/%{name}-%{version}
mkdir -p $RPM_BUILD_ROOT%{_javadir}
cp -p dist/commons-java-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
ln -s %{name}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}.jar
%add_to_maven_depmap org.onemind.commons %{name} %{version} JPP %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%defattr(-,root,root,-)
%doc docs/*.txt
%{_javadir}/*.jar
%config(noreplace) %{_mavendepmapfragdir}/%{name}

%files javadoc
%defattr(-,root,root,-)
%{_javadocdir}/%{name}-%{version}

%changelog
* Mon Nov 24 2008 Mary Ellen Foster <mefoster at gmail.com> - 1.5.5-2
- Edit the description and summary
- Add the documentation (found in CVS)
- Add comments explaining the patches

* Wed Nov  5 2008 Mary Ellen Foster <mefoster at gmail.com> - 1.5.5-1
- Initial package
